<template>
<!--  面包屑  -->
  <el-breadcrumb class="app-breadcrumb" separator="/">
    <transition-group name="breadcrumb">
      <el-breadcrumb-item v-for="(item,index) in levelList" :key="item.path">
        <span v-if="item.redirect === 'noRedirect' || index == levelList.length - 1" class="no-redirect">{{ item.meta.title }}</span>
        <a v-else @click.prevent="handleLink(item)">{{ item.meta.title }}</a>
      </el-breadcrumb-item>
    </transition-group>
  </el-breadcrumb>
</template>

<script setup>
const route = useRoute();
const router = useRouter();
const levelList = ref([])

function getBreadcrumb() {
  let matched = route.matched.filter(item => item.meta && item.meta.title);
  const first = matched[0]

  // ===================== 【核心：子系统不显示首页】 =====================
  const isSubSystem = route.path.startsWith(first.path);

  // const currentPath = route.path
  // const allRoutes = permissionStore.sidebarRouters
  // const prefix = currentPath.split('/')[1]

  // 只有【不是子系统】时，才添加首页
  if (!isDashboard(first) && !isSubSystem) {
    matched = [{path: '/index', meta: {title: '首页'}}].concat(matched)
  }

  // ===================== 【核心：彻底隔离子系统 / 总后台】 =====================
  if (isSubSystem) {
    // 子系统：只保留子系统路由，过滤总后台
    levelList.value = matched.filter(item =>
        item.meta && item.meta.title && item.meta.breadcrumb !== false && item.path.startsWith(first.path)
    )
  } else {
    // 总后台：过滤掉所有子系统路由
    levelList.value = matched.filter(item =>
        item.meta && item.meta.title && item.meta.breadcrumb !== false && !item.path.startsWith(first.path)
    )
  }
}

function isDashboard(route) {
  const name = route && route.name
  if (!name) {
    return false
  }
  return ['Index', 'MainAdminHome'].includes(name.trim())
}

function handleLink(item) {
  const {redirect, path} = item
  if (redirect) {
    router.push(redirect)
    return
  }
  router.push(path)
}

watchEffect(() => {
  if (route.path.startsWith('/redirect/')) {
    return
  }
  getBreadcrumb()
})

getBreadcrumb();
</script>

<style lang='scss' scoped>
.app-breadcrumb.el-breadcrumb {
  display: inline-block;
  font-size: 14px;
  line-height: 50px;
  margin-left: 8px;

  .no-redirect {
    color: #97a8be;
    cursor: text;
  }
}
</style>
